/*
 * mtk - Maths Toolkit for X11
 *
 * Copyright 1994-1996   andrewr@chiark.greenend.org.uk (Andrew Ross)
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ********/

/* Header file for function and error constants */

#ifndef _FUNC
#define _FUNC

typedef int func_type;

#define NOFUNC          0
#define ADD		1
#define SUBTRACT	2
#define MULTIPLY	3
#define DIVIDE		4
#define COMBINATION	5
#define PERMUTATION	6
#define POWER		7
#define LN		8
#define LOG		9
#define EXP		10
#define	SIN		11
#define	COS		12
#define	TAN		13
#define SEC		14
#define COSEC		15
#define COT		16
#define ARCSIN		17
#define ARCCOS		18
#define ARCTAN		19
#define SINH		20
#define COSH		21
#define TANH		22
#define ARSINH		23
#define ARCOSH		24
#define ARTANH		25
#define ERF             26
#define ERFC            27
#define BESSJ           28
#define STEP            29
#define ABS		30
#define INT		31
#define FRAC		32
#define FACTORIAL	33
#define LBRACKET	34
#define NUMBER		35
#define VARIABLE	36
#define PI_SYM		37
#define RBRACKET	38
#define COMMA           39
#define NUMBER_OF_FUNCS 39


#endif /* _FUNC */

